Subject: bug#74312: closed (Re: bug#74312: 31.0.50; Cygw32 build break)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Nov 2024 22:22:02 +0000

Your bug report

#74312: 31.0.50; Cygw32 build break

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74312: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74312
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74312: 31.0.50; Cygw32 build break
From: Ken Brown <[email-masked]>
To: Eli Zaretskii <[email-masked]>, Kazuhiro Ito <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 15 Nov 2024 17:21:21 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/14/2024 11:07 AM, Eli Zaretskii wrote:
>> Date: Fri, 15 Nov 2024 00:00:40 +0900
>> From: Kazuhiro Ito <[email-masked]>
>> Cc: [email-masked],
>> 	Eli Zaretskii <[email-masked]>
>>
>>>> As far as I tested, drag-n-drop from Microsoft Photo worked only the
>>>> first time.  Second operation was ignored.  Quick operation may fail
>>>> even at the first time.  Drag-n-drop from explorer worked expectedly.
>>>
>>> This should fix the Photo application problem.
>>
>> I confirmed the problem was fixed, thank you.
> 
> Thanks for testing, I installed the patch on the master branch.
> 
> I'm not closing this bug, to let Ken double-check the latest changes
> and see if something else broke Cygwin.
The Cygwin-w32 build seems fine AFAICT.  Closing.

Ken

Subject: 31.0.50; Cygw32 build break
From: Kazuhiro Ito <[email-masked]>
To: [email-masked]
Date: Mon, 11 Nov 2024 23:51:33 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Cygw32 build fails on  master

$ make
(snip)
  CC       w32fns.o
../../../emacs/src/w32fns.c: In function ‘process_dropfiles’:
../../../emacs/src/w32fns.c:2549:17: error: ‘MAX_UTF8_PATH’ undeclared (first use in this function); did you mean ‘MAX_ZONE_PATH’?
 2549 |   char filename[MAX_UTF8_PATH];
      |                 ^~~~~~~~~~~~~
      |                 MAX_ZONE_PATH
../../../emacs/src/w32fns.c:2549:17: note: each undeclared identifier is reported only once for each function it appears in
../../../emacs/src/w32fns.c:2557:11: warning: implicit declaration of function ‘filename_from_utf16’ [-Wimplicit-function-declaration]
 2557 |           filename_from_utf16 (p, filename);
      |           ^~~~~~~~~~~~~~~~~~~
../../../emacs/src/w32fns.c:2557:11: warning: nested extern declaration of ‘filename_from_utf16’ [-Wnested-externs]
../../../emacs/src/w32fns.c:2567:11: warning: implicit declaration of function ‘gifilename_from_ansi’ [-Wimplicit-function-declaration]
 2567 |           filename_from_ansi (p, filename);
      |           ^~~~~~~~~~~~~~~~~~
../../../emacs/src/w32fns.c:2567:11: warning: nested extern declaration of ‘filename_from_ansi’ [-Wnested-externs]
../../../emacs/src/w32fns.c:2549:8: warning: unused variable ‘filename’ [-Wunused-variable]
 2549 |   char filename[MAX_UTF8_PATH];
      |        ^~~~~~~~
make[2]: *** [Makefile:457: w32fns.o] Error 1

MAX_UTF8_PATH is defined in nt/inc/ms-w32.h and filename_from_*
functions are defined in src/w32.c

-- 
Kazuhiro Ito